View deposit summary

Returns a summary of all deposits with the given range for the specified merchant ID or IDs, or for all merchant accounts associated with the API user.

You send the request with zero of more of the query parameters to limit the results as in the following example:

/ach/v3?limit=25&offest=0&startDate=2024-02-01&endDate=2024-02-08&merchantids=000999

See the Filtering using query parameters topic in Guides for a full tutorial. Note that if you do not include a parameter for this endpoint, the system uses the default value for the request.

For the response, the amounts presented may be different than what was authorized, as the funds may not have settled yet. Amounts being processed may differ temporarily from batch totals if they experience a temporary risk hold; common reasons include large single transactions, unusual activity, or unexpected volume increases. Check the batch details in a few days after it's finalized.

Try It

To use the Try It feature for this endpoint, you must use the credentials for your Sandbox API user.

Request parameters

  • limit
  • offset
  • startDate
  • endDate
  • merchantIds

Response parameters

  • offset
  • limit
  • rows (array)
  • rows.id
  • rows.merchantId
  • rows.date
  • rows.dda
  • rows.amount
  • rows.currencyId
  • rows.createdAt
  • rows.updatedAt
  • rows.processor
  • rows.processor.id
  • rows.processor.originalId
  • rows.processor.processorType
  • rows.details (array)
  • rows.details.achDetailId
  • rows.details.type
  • rows.details.thirdPartyFundedAmount
  • rows.details.amount
  • rows.details.currencyId
  • rows.details.achSummaryId
  • rows.details.processor
  • rows.details.processor.id
  • rows.details.processor.originalId
  • rows.details.processor.processorType
  • rows.details.processor.batchRef
  • rows.details.processor.achDetailId
  • hasMore
Query Params
integer
Defaults to 10

Specifies the maximum number of deposit summaries to return in a single API response. For example, if you set limit=20, the API returns up to 20 deposit summaries starting from the position specified by the offset parameter.

integer
Defaults to 0

Specifies the starting point within the list of deposit summaries. Use it in conjunction with the limit parameter to control which subset of deposit summaries the API returns. For example, if you set offset=10 and limit=20, the API skips the first 10 deposit summaries and returns the next 20 deposit summaries (in other words, deposit summaries 11 to 30).

string

The start date. Format: YYYY-MM-DD. The default is 30 days prior to today's date.

string

The end date. Format: YYYY-MM-DD. The default is today's date.

string

A comma-separated list of merchant IDs.

Responses

Language
Credentials
Basic
base64
:
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json